Summary:	Compiler cache
Summary(pl.UTF-8):	Pamięć podręczna dla kompilatora
Summary(pt_BR.UTF-8):	Cache para compiladores C/C++
Name:		ccache
Version:	3.4.3
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	https://www.samba.org/ftp/ccache/%{name}-%{version}.tar.xz
# Source0-md5:	0ac60e767de855cd331c74fc62f23a96
URL:		http://ccache.samba.org/
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel >= 1.2.3
Requires:	zlib >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pkglibexecdir	%{_libexecdir}/%{name}

%description
ccache is a compiler cache. It acts as a caching pre-processor to
C/C++ compilers, using the -E compiler switch and a hash to detect
when a compilation can be satisfied from cache. This often results in
a 5 to 10 times speedup in common compilations.

%description -l pl.UTF-8
ccache to pamięć podręczna dla kompilatora - działa jako cachujący
preprocesor dla kompilatorów C/C++, wykorzystujący opcję kompilatora
-E oraz tablicę haszującą do wykrywania, czy do kompilacji wystarczy
zawartość pamięci podręcznej. Daje to zazwyczaj przyspieszenie
kompilacji 5 do 10 razy.

%description -l pt_BR.UTF-8
ccache é um cache para compiladores. Ele funciona mantendo um cache de
pré-processamento para compiladores C/C++ utilizando-se do parâmetro
- -E e de um hash para detectar quando uma compilação pode ser
  reaproveitada de um cache armazenado em disco. O ganho de tempo em
  compilações comuns pode chegar a uma escala de até 10 vezes em relação
  ao tempo normal.

%package wrapper
Summary:	Symlinks for c++/cc/g++/gcc
Summary(pl.UTF-8):	Dowiązania symboliczne do c++/cc/g++/gcc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description wrapper
This package contains the softlinks to ccache for each compiler.

%description wrapper -l pl.UTF-8
Ten pakiet zawiera dowiązania symboliczne do ccache dla każdego
kompilatora.

%prep
%setup -q

# Make sure system zlib is used
%{__rm} -r src/zlib

%build
cp -f /usr/share/automake/config.* .
CPPFLAGS="%{rpmcppflags} -D_FILE_OFFSET_BITS=64"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{pkglibexecdir},/etc/profile.d}
for cc in cc c++ g++ gcc %{_target_cpu}-pld-linux-gcc %{_target_cpu}-pld-linux-g++; do
	ln -s ../../bin/%{name} $RPM_BUILD_ROOT%{pkglibexecdir}/$cc
done
echo 'export PATH=%{pkglibexecdir}:$PATH' > \
	$RPM_BUILD_ROOT/etc/profile.d/%{name}.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.* README.md doc/{AUTHORS.*,MANUAL.*,NEWS.*}
%attr(755,root,root) %{_bindir}/ccache
%{_mandir}/man1/ccache.1*

%files wrapper
%defattr(644,root,root,755)
/etc/profile.d/%{name}.sh
%dir %{pkglibexecdir}
%attr(755,root,root) %{pkglibexecdir}/c++
%attr(755,root,root) %{pkglibexecdir}/cc
%attr(755,root,root) %{pkglibexecdir}/g++
%attr(755,root,root) %{pkglibexecdir}/gcc
%attr(755,root,root) %{pkglibexecdir}/%{_target_cpu}-pld-linux-g++
%attr(755,root,root) %{pkglibexecdir}/%{_target_cpu}-pld-linux-gcc
%changelog
* Fri Oct 12 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ccache.git;a=log;h=master

* Fri Oct 12 2018 Adam Gołębiowski <adamg@pld-linux.org> 1a58fc8
- updated to 3.4.3

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> e613e5c
- updated to 3.4.2
- use _libexecdir

* Mon Mar 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 9bda64c
- updated to 3.3.4

* Mon Dec 05 2016 Tomasz Pala <gotar@pld-linux.org> f11b308
- updated %doc files

* Mon Dec 05 2016 Tomasz Pala <gotar@pld-linux.org> 4ef49b8
- updated to 3.3.3, get rid of all those empty configuration variables

* Tue Aug 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 00ce622
- updated to 3.2.7

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 625cac9
- updated to 3.2.5

* Tue Oct 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 0891a07
- updated to 3.2.4

* Fri Sep 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 403471f
- up to 3.2.3

* Wed May 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 812382e
- updated to 3.2.2

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> cf6f82b
- release 3 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 43057e9
- x32 rebuild
- release 2 (by relup.sh)

* Mon Dec 15 2014 Elan Ruusamäe <glen@delfi.ee> 1d03e24
- up to 3.2.1

* Wed Nov 19 2014 Jakub Bogusz <qboosh@pld-linux.org> c0ee820
- updated to 3.2
- removed outdated nohash_size_mtime patch (compiler upgrade check method is configurable now)

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 37ea1f5
- better pl

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> a92c8e6
- updated to 3.1.10

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> 75e6ea3
- up to ccache 3.1.9

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> 6b963ef
- better LFS fix

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> ba18ad0
- ensure system zlib is used

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> 0854046
- enable large file access for ccache

